package chart_permission_first

import "time"

// ChartPermissionFirst 报告权限一级分类表
type ChartPermissionFirst struct {
	Id           uint64    `gorm:"primaryKey;column:id;type:bigint(20) unsigned;not null" json:"id"`
	ClassifyName string    `gorm:"column:classify_name;type:varchar(50)"`                                        // 权限一级分类名称，与chart_permission的classify_name一致
	YbIndexName  string    `gorm:"column:yb_index_name;type:varchar(50);default:''" `                            // 研报小程序首页简称
	YbIndexSort  int      `gorm:"column:yb_index_sort;type:tinyint(4);default:0"`                               // 研报小程序首页排序
	YbIndexShow  int8      `gorm:"column:show_type;type:tinyint(4);default:0"`                                   // 是否展示在研报小程序首页页面  1-展示；0-不展示
	YbIndexIcon  string    `gorm:"column:yb_index_icon;type:varchar(255);default:''"`                            // 研报小程序首页图标地址
	CreateTime   time.Time `gorm:"index:create_time;column:create_time;type:datetime;default:CURRENT_TIMESTAMP"` //创建时间
}

// TableName get sql table name.获取数据库表名
func (m *ChartPermissionFirst) TableName() string {
	return "chart_permission_first"
}
